import request from '@/utils/request'

// 分页查询工班设备作业列表
export function pageListEquip(query) {
  return request({
    url: '/work/equip/pageList',
    method: 'get',
    params: query
  })
}

// 查询工班设备作业列表
export function listEquip(query) {
  return request({
    url: '/work/equip/list',
    method: 'get',
    params: query
  })
}

// 查询工班设备作业详细
export function getEquip(id) {
  return request({
    url: '/work/equip/' + id,
    method: 'get'
  })
}

// 新增工班设备作业
export function addEquip(data) {
  return request({
    url: '/work/equip',
    method: 'post',
    data: data
  })
}

// 修改工班设备作业
export function updateEquip(data) {
  return request({
    url: '/work/equip',
    method: 'put',
    data: data
  })
}

// 删除工班设备作业
export function delEquip(id) {
  return request({
    url: '/work/equip/' + id,
    method: 'delete'
  })
}

// 导出工班设备作业
export function exportEquip(query) {
  return request({
    url: '/work/equip/' + 'export',
    method: 'post',
    params: query
  })
}
